Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Commit_unit/Makefile.deps
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Commit_unit/Makefile.deps	(revision 141)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Commit_unit/Makefile.deps	(revision 142)
@@ -27,19 +27,21 @@
 					$(Behavioural_LIBRARY)	
 
-Commit_unit_DIR_LIBRARY		=	-L$(Commit_unit_DIR)/lib	\
-					$(Priority_DIR_LIBRARY)		\
-					$(Behavioural_DIR_LIBRARY)
-
 #-----[ Rules ]--------------------------------------------
 
-Commit_unit_library		:
+Commit_unit_library_only	:
+				@\
+				$(MAKE) --directory=$(Commit_unit_DIR) --makefile=Makefile;
+
+Commit_unit_library_clean_only	:
+				@\
+				$(MAKE) --directory=$(Commit_unit_DIR) --makefile=Makefile clean;
+
+Commit_unit_library		: Commit_unit_library_only
 				@\
 				$(MAKE) Behavioural_library;		\
-				$(MAKE) Priority_library;		\
-				$(MAKE) --directory=$(Commit_unit_DIR) --makefile=Makefile;
+				$(MAKE) Priority_library;
 
-Commit_unit_library_clean	:
+Commit_unit_library_clean	: Commit_unit_library_clean_only
 				@\
 				$(MAKE) Behavioural_library_clean;	\
-				$(MAKE) Priority_library_clean;		\
-				$(MAKE) --directory=$(Commit_unit_DIR) --makefile=Makefile clean;
+				$(MAKE) Priority_library_clean;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Commit_unit/include/Commit_unit.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Commit_unit/include/Commit_unit.h	(revision 141)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Commit_unit/include/Commit_unit.h	(revision 142)
@@ -35,5 +35,4 @@
 namespace morpheo {
 namespace behavioural {
-
 namespace core {
 namespace multi_ooo_engine {
@@ -41,4 +40,7 @@
 namespace commit_unit {
 
+#ifdef STATISTICS
+  typedef std::map<uint32_t,uint32_t> stat_inst_fusion_t;
+#endif
 
   class Commit_unit 
@@ -71,4 +73,9 @@
   public    : counter_t                     ** _stat_nb_cycle_state_event         ;//[nb_thread]
   public    : counter_t                     ** _stat_nb_cycle_state_wait_end      ;//[nb_thread]
+
+// public    : uint32_t                       * _stat_last_inst                    ;//[nb_thread]
+  public    : uint32_t                       * _stat_last_inst_type               ;//[nb_thread]
+  public    : uint32_t                       * _stat_last_inst_operation          ;//[nb_thread]
+  public    : stat_inst_fusion_t             * _stat_inst_fusion                  ;//[nb_thread]
 #endif
 
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Commit_unit/src/Commit_unit_statistics_allocation.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Commit_unit/src/Commit_unit_statistics_allocation.cpp	(revision 141)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Commit_unit/src/Commit_unit_statistics_allocation.cpp	(revision 142)
@@ -8,4 +8,5 @@
 
 #include "Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Commit_unit/include/Commit_unit.h"
+#include "Behavioural/include/Allocation.h"
 
 namespace morpheo {
@@ -169,20 +170,20 @@
       {
         _stat_nb_inst_insert [i] = _stat->create_counters("nb_inst_insert_"+toString(i),_param->_nb_inst_insert[i],"",
-                                                             _("Cycle number with %d instruction(s) included ")+toString(_("(rename_unit %d)."),i),
-                                                             _("Percent of cycle number with %d instruction(s) included ")+toString(_("(rename_unit %d)."),i),
-                                                             _("Average of instruction(s) included ")+toString(_("(rename_unit %d)."),i)
-                                                             );
+                                                          _("Cycle number with %d instruction(s) included ")+toString(_("(rename_unit %d)."),i),
+                                                          _("Percent of cycle number with %d instruction(s) included ")+toString(_("(rename_unit %d)."),i),
+                                                          _("Average of instruction(s) included ")+toString(_("(rename_unit %d)."),i)
+                                                          );
         
         _stat_nb_inst_retire [i] = _stat->create_counters("nb_inst_retire_"+toString(i),_param->_nb_inst_retire[i],"",
-                                                             _("Cycle number with %d instruction(s) removed ")+toString(_("(rename_unit %d)."),i),
-                                                             _("Percent of cycle number with %d instruction(s) removed ")+toString(_("(rename_unit %d)."),i),
-                                                             _("Average of instruction(s) removed ")+toString(_("(rename_unit %d)."),i)
-                                                             );
+                                                          _("Cycle number with %d instruction(s) removed ")+toString(_("(rename_unit %d)."),i),
+                                                          _("Percent of cycle number with %d instruction(s) removed ")+toString(_("(rename_unit %d)."),i),
+                                                          _("Average of instruction(s) removed ")+toString(_("(rename_unit %d)."),i)
+                                                          );
         
         _stat_nb_inst_commit [i] = _stat->create_counters("nb_inst_commit_"+toString(i),_param->_nb_inst_commit,"",
-                                                             _("Cycle number with %d instruction(s) commited ")+toString(_("(rename_unit %d)."),i),
-                                                             _("Percent of cycle number with %d instruction(s) commited ")+toString(_("(rename_unit %d)."),i),
-                                                             _("Average of instruction(s) commited "+toString(_("(rename_unit %d)."),i))
-                                                             );
+                                                          _("Cycle number with %d instruction(s) commited ")+toString(_("(rename_unit %d)."),i),
+                                                          _("Percent of cycle number with %d instruction(s) commited ")+toString(_("(rename_unit %d)."),i),
+                                                          _("Average of instruction(s) commited ")+toString(_("(rename_unit %d)."),i)
+                                                          );
 
         average_nb_inst_commit = "+ average_nb_inst_commit_"+toString(i) + " " + average_nb_inst_commit;
@@ -192,4 +193,17 @@
     _stat->create_expr_average_by_cycle("average_use_interface_commit_conflit_access","nb_inst_commit_conflit_access", "", _("Average access conflit by cycle on commit interface"));
     _stat->create_expr_percent         ("percent_use_interface_commit_conflit_access","average_use_interface_commit_conflit_access", average_nb_inst_commit, _("Percent access conflit on commit interface"));
+
+
+//  ALLOC1(_stat_last_inst          ,uint32_t          ,_param->_nb_thread);
+    ALLOC1(_stat_last_inst_type     ,uint32_t          ,_param->_nb_thread);
+    ALLOC1(_stat_last_inst_operation,uint32_t          ,_param->_nb_thread);
+    ALLOC1(_stat_inst_fusion        ,stat_inst_fusion_t,_param->_nb_thread);
+
+    for (uint32_t i=0; i<_param->_nb_thread; ++i)
+      {
+      //_stat_last_inst           [i] = INSTRUCTION_L_NOP;
+        _stat_last_inst_type      [i] = instruction_information(INSTRUCTION_L_NOP)._type     ;
+        _stat_last_inst_operation [i] = instruction_information(INSTRUCTION_L_NOP)._operation;
+      }
 
     log_end(Commit_unit,FUNCTION);
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Commit_unit/src/Commit_unit_statistics_deallocation.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Commit_unit/src/Commit_unit_statistics_deallocation.cpp	(revision 141)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Commit_unit/src/Commit_unit_statistics_deallocation.cpp	(revision 142)
@@ -8,4 +8,6 @@
 
 #include "Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Commit_unit/include/Commit_unit.h"
+#include "Behavioural/include/Allocation.h"
+#include "Common/include/BitManipulation.h"
 
 namespace morpheo {
@@ -41,4 +43,44 @@
     delete [] _stat_nb_inst_retire;
     delete [] _stat_nb_inst_commit;
+
+//  uint32_t mask_inst      = gen_mask<uint32_t>(SIZE_INSTRUCTION);
+    uint32_t mask_type      = gen_mask<uint32_t>(SIZE_TYPE       );
+    uint32_t mask_operation = gen_mask<uint32_t>(SIZE_OPERATION  );
+
+    for (uint32_t i=0; i<_param->_nb_thread; ++i)
+      for(stat_inst_fusion_t::iterator it = _stat_inst_fusion [i].begin();
+          it != _stat_inst_fusion [i].end();
+          ++it)
+        {
+          uint32_t value = it->second;
+
+          if (value != 0)
+            {
+              uint32_t inst = it->first;
+
+              type_t   type_0      = static_cast<type_t>((inst>>(SIZE_TYPE+2*SIZE_OPERATION))&mask_type     );
+              uint32_t operation_0 =                     (inst>>(SIZE_TYPE+  SIZE_OPERATION))&mask_operation ;
+              type_t   type_1      = static_cast<type_t>((inst>>(            SIZE_OPERATION))&mask_type     );
+              uint32_t operation_1 =                      inst                               &mask_operation ;
+
+              // log_printf(STAT,Commit_unit,FUNCTION,
+              msgInformation(
+                           //"  * %s - %s : %d\n"
+                           //,toString_instruction((inst>>SIZE_INSTRUCTION)&mask_inst).c_str()
+                           //,toString_instruction( inst                   &mask_inst).c_str(),value
+                             "  * %s.%s - %s.%s : %d\n"
+                             ,toString          (type_0            ).c_str()
+                             ,toString_operation(type_0,operation_0).c_str()
+                             ,toString          (type_1            ).c_str()
+                             ,toString_operation(type_1,operation_1).c_str()
+                             ,value
+                             );
+            }
+        }
+
+ // DELETE1(_stat_last_inst          ,_param->_nb_thread);
+    DELETE1(_stat_last_inst_type     ,_param->_nb_thread);
+    DELETE1(_stat_last_inst_operation,_param->_nb_thread);
+    DELETE1(_stat_inst_fusion        ,_param->_nb_thread);
         
     log_end(Commit_unit,FUNCTION);
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Commit_unit/src/Commit_unit_transition.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Commit_unit/src/Commit_unit_transition.cpp	(revision 141)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Commit_unit/src/Commit_unit_transition.cpp	(revision 142)
@@ -770,11 +770,12 @@
                     can_continue = true;
 
-	            Tcontext_t  front_end_id = entry->front_end_id;
-	            Tcontext_t  context_id   = entry->context_id  ;
-	            uint32_t    num_thread   = _param->_translate_num_context_to_num_thread [front_end_id][context_id];
-	            rob_state_t state        = entry->state_old;
-	            Ttype_t     type         = entry->type        ;
-	            bool        retire_ok    = false;
-	            uint32_t    packet_id    = ((entry->ptr << _param->_shift_num_slot) | num_bank);
+	            Tcontext_t   front_end_id = entry->front_end_id;
+	            Tcontext_t   context_id   = entry->context_id  ;
+	            uint32_t     num_thread   = _param->_translate_num_context_to_num_thread [front_end_id][context_id];
+	            rob_state_t  state        = entry->state_old;
+	            Ttype_t      type         = entry->type        ;
+	            Toperation_t operation    = entry->operation   ;
+	            bool         retire_ok    = false;
+	            uint32_t     packet_id    = ((entry->ptr << _param->_shift_num_slot) | num_bank);
 	            
 	            log_printf(TRACE,Commit_unit,FUNCTION,"    * front_end_id : %d",front_end_id );
@@ -875,4 +876,16 @@
 	            	    (*_stat_nb_inst_instruction [instruction]) ++;
 	            	    (*_stat_nb_inst_type        [type]       ) ++;
+
+                          //uint32_t index = (_stat_last_inst [num_thread] << SIZE_INSTRUCTION) | instruction;
+                            uint32_t index = ((_stat_last_inst_type      [num_thread] << (SIZE_TYPE+2*SIZE_OPERATION)) |
+                                              (_stat_last_inst_operation [num_thread] << (SIZE_TYPE+  SIZE_OPERATION)) |
+                                              (                type                   << (            SIZE_OPERATION)) |
+                                              (                operation                                             ));
+
+                            _stat_inst_fusion [num_thread][index] ++;
+                            
+                          //_stat_last_inst           [num_thread] = instruction;
+                            _stat_last_inst_type      [num_thread] = type       ;
+                            _stat_last_inst_operation [num_thread] = operation  ;
 	            	  }
 	            	else
@@ -893,5 +906,5 @@
 			  << "{" << ((retire_ok)?"OK":"KO") << "} ";
 			
-			if ((type == TYPE_MEMORY) and  is_operation_memory_load(entry->operation))
+			if ((type == TYPE_MEMORY) and  is_operation_memory_load(operation))
 			  instruction_log_file [num_thread] << std::hex << entry->load_data << std::dec;
 			
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Issue_queue/Makefile.deps
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Issue_queue/Makefile.deps	(revision 141)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Issue_queue/Makefile.deps	(revision 142)
@@ -27,19 +27,21 @@
 					$(Behavioural_LIBRARY)	
 
-Issue_queue_DIR_LIBRARY		=	-L$(Issue_queue_DIR)/lib	\
-					$(Priority_DIR_LIBRARY)		\
-					$(Behavioural_DIR_LIBRARY)
-
 #-----[ Rules ]--------------------------------------------
 
-Issue_queue_library		:
+Issue_queue_library_only	:
+				@\
+				$(MAKE) --directory=$(Issue_queue_DIR) --makefile=Makefile;
+
+Issue_queue_library_clean_only	:
+				@\
+				$(MAKE) --directory=$(Issue_queue_DIR) --makefile=Makefile clean;
+
+Issue_queue_library		: Issue_queue_library_only
 				@\
 				$(MAKE) Behavioural_library;		\
-				$(MAKE) Priority_library;		\
-				$(MAKE) --directory=$(Issue_queue_DIR) --makefile=Makefile;
+				$(MAKE) Priority_library;
 
-Issue_queue_library_clean	:
+Issue_queue_library_clean	: Issue_queue_library_clean_only
 				@\
 				$(MAKE) Behavioural_library_clean;	\
-				$(MAKE) Priority_library_clean;		\
-				$(MAKE) --directory=$(Issue_queue_DIR) --makefile=Makefile clean;
+				$(MAKE) Priority_library_clean;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Makefile.deps
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Makefile.deps	(revision 141)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Makefile.deps	(revision 142)
@@ -47,16 +47,15 @@
 					$(Behavioural_LIBRARY)
 
-OOO_Engine_DIR_LIBRARY		=	-L$(OOO_Engine_DIR)/lib			\
-					$(Commit_unit_DIR_LIBRARY)		\
-					$(Issue_queue_DIR_LIBRARY)		\
-					$(Reexecute_unit_DIR_LIBRARY)		\
-					$(Rename_unit_DIR_LIBRARY)		\
-					$(Special_Register_unit_DIR_LIBRARY)	\
-					$(OOO_Engine_Glue_DIR_LIBRARY)		\
-					$(Behavioural_DIR_LIBRARY)
-
 #-----[ Rules ]--------------------------------------------
 
-OOO_Engine_library		:
+OOO_Engine_library_only		:
+				@\
+				$(MAKE) --directory=$(OOO_Engine_DIR) --makefile=Makefile;
+
+OOO_Engine_library_clean_only	:
+				@\
+				$(MAKE) --directory=$(OOO_Engine_DIR) --makefile=Makefile clean;
+
+OOO_Engine_library		: OOO_Engine_library_only
 				@\
 				$(MAKE) Behavioural_library;			\
@@ -66,8 +65,7 @@
 				$(MAKE) Rename_unit_library;			\
 				$(MAKE) Special_Register_unit_library;		\
-				$(MAKE) OOO_Engine_Glue_library;		\
-				$(MAKE) --directory=$(OOO_Engine_DIR) --makefile=Makefile;
+				$(MAKE) OOO_Engine_Glue_library;
 
-OOO_Engine_library_clean	:
+OOO_Engine_library_clean	: OOO_Engine_library_clean_only
 				@\
 				$(MAKE) Behavioural_library_clean;		\
@@ -77,4 +75,3 @@
 				$(MAKE) Rename_unit_library_clean;		\
 				$(MAKE) Special_Register_unit_library_clean;	\
-				$(MAKE) OOO_Engine_Glue_library_clean;		\
-				$(MAKE) --directory=$(OOO_Engine_DIR) --makefile=Makefile clean;
+				$(MAKE) OOO_Engine_Glue_library_clean;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/OOO_Engine_Glue/Makefile.deps
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/OOO_Engine_Glue/Makefile.deps	(revision 141)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/OOO_Engine_Glue/Makefile.deps	(revision 142)
@@ -8,8 +8,8 @@
 # DIR_MORPHEO must be defined
 
-OOO_Engine_Glue			= yes
+OOO_Engine_Glue				= yes
 
 ifndef Behavioural
-include 			$(DIR_MORPHEO)/Behavioural/Makefile.deps
+include 				$(DIR_MORPHEO)/Behavioural/Makefile.deps
 endif
 
@@ -20,19 +20,22 @@
 #-----[ Library ]------------------------------------------
 
-OOO_Engine_Glue_LIBRARY		= 	-lOOO_Engine_Glue	\
-					$(Behavioural_LIBRARY)	
-
-OOO_Engine_Glue_DIR_LIBRARY		=	-L$(OOO_Engine_Glue_DIR)/lib	\
-					$(Behavioural_DIR_LIBRARY)
+OOO_Engine_Glue_LIBRARY			= 	-lOOO_Engine_Glue	\
+						$(Behavioural_LIBRARY)	
 
 #-----[ Rules ]--------------------------------------------
 
-OOO_Engine_Glue_library		:
-				@\
-				$(MAKE) Behavioural_library;		\
-				$(MAKE) --directory=$(OOO_Engine_Glue_DIR) --makefile=Makefile;
+OOO_Engine_Glue_library_only		:
+					@\
+					$(MAKE) --directory=$(OOO_Engine_Glue_DIR) --makefile=Makefile;
+                                	
+OOO_Engine_Glue_library_clean_only	:
+					@\
+					$(MAKE) --directory=$(OOO_Engine_Glue_DIR) --makefile=Makefile clean;
 
-OOO_Engine_Glue_library_clean	:
-				@\
-				$(MAKE) Behavioural_library_clean;	\
-				$(MAKE) --directory=$(OOO_Engine_Glue_DIR) --makefile=Makefile clean;
+OOO_Engine_Glue_library			: OOO_Engine_Glue_library_only
+					@\
+					$(MAKE) Behavioural_library;
+                                	
+OOO_Engine_Glue_library_clean		: OOO_Engine_Glue_library_clean_only
+					@\
+					$(MAKE) Behavioural_library_clean;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Reexecute_unit/Makefile.deps
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Reexecute_unit/Makefile.deps	(revision 141)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Reexecute_unit/Makefile.deps	(revision 142)
@@ -8,38 +8,40 @@
 # DIR_MORPHEO must be defined
 
-Reexecute_unit			= yes
+Reexecute_unit				= yes
 
 ifndef Behavioural
-include 			$(DIR_MORPHEO)/Behavioural/Makefile.deps
+include 				$(DIR_MORPHEO)/Behavioural/Makefile.deps
 endif
 ifndef Priority
-include 			$(DIR_MORPHEO)/Behavioural/Generic/Priority/Makefile.deps
+include 				$(DIR_MORPHEO)/Behavioural/Generic/Priority/Makefile.deps
 endif
 
 #-----[ Directory ]----------------------------------------
 
-Reexecute_unit_DIR		=	$(DIR_MORPHEO)/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Reexecute_unit
+Reexecute_unit_DIR			=	$(DIR_MORPHEO)/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Reexecute_unit
 
 #-----[ Library ]------------------------------------------
 
-Reexecute_unit_LIBRARY		= 	-lReexecute_unit		\
-					$(Priority_LIBRARY)		\
-					$(Behavioural_LIBRARY)	
-
-Reexecute_unit_DIR_LIBRARY	=	-L$(Reexecute_unit_DIR)/lib	\
-					$(Priority_DIR_LIBRARY)		\
-					$(Behavioural_DIR_LIBRARY)
+Reexecute_unit_LIBRARY			= 	-lReexecute_unit		\
+						$(Priority_LIBRARY)		\
+						$(Behavioural_LIBRARY)	
 
 #-----[ Rules ]--------------------------------------------
 
-Reexecute_unit_library		:
-				@\
-				$(MAKE) Behavioural_library;		\
-				$(MAKE) Priority_library;		\
-				$(MAKE) --directory=$(Reexecute_unit_DIR) --makefile=Makefile;
+Reexecute_unit_library_only		:
+					@\
+					$(MAKE) --directory=$(Reexecute_unit_DIR) --makefile=Makefile;
 
-Reexecute_unit_library_clean	:
-				@\
-				$(MAKE) Behavioural_library_clean;	\
-				$(MAKE) Priority_library_clean;		\
-				$(MAKE) --directory=$(Reexecute_unit_DIR) --makefile=Makefile clean;
+Reexecute_unit_library_clean_only	:
+					@\
+					$(MAKE) --directory=$(Reexecute_unit_DIR) --makefile=Makefile clean;
+
+Reexecute_unit_library			: Reexecute_unit_library_only
+					@\
+					$(MAKE) Behavioural_library;		\
+					$(MAKE) Priority_library;
+
+Reexecute_unit_library_clean		: Reexecute_unit_library_clean_only
+					@\
+					$(MAKE) Behavioural_library_clean;	\
+					$(MAKE) Priority_library_clean;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/Load_Store_pointer_unit/Makefile.deps
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/Load_Store_pointer_unit/Makefile.deps	(revision 141)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/Load_Store_pointer_unit/Makefile.deps	(revision 142)
@@ -8,8 +8,8 @@
 # DIR_MORPHEO must be defined
 
-Load_Store_pointer_unit			= yes
+Load_Store_pointer_unit				= yes
 
 ifndef Behavioural
-include 			$(DIR_MORPHEO)/Behavioural/Makefile.deps
+include 					$(DIR_MORPHEO)/Behavioural/Makefile.deps
 endif
 
@@ -20,19 +20,22 @@
 #-----[ Library ]------------------------------------------
 
-Load_Store_pointer_unit_LIBRARY		= 	-lLoad_Store_pointer_unit	\
-					$(Behavioural_LIBRARY)	
-
-Load_Store_pointer_unit_DIR_LIBRARY		=	-L$(Load_Store_pointer_unit_DIR)/lib	\
-					$(Behavioural_DIR_LIBRARY)
+Load_Store_pointer_unit_LIBRARY			= 	-lLoad_Store_pointer_unit	\
+							$(Behavioural_LIBRARY)	
 
 #-----[ Rules ]--------------------------------------------
 
-Load_Store_pointer_unit_library		:
-				@\
-				$(MAKE) Behavioural_library;		\
-				$(MAKE) --directory=$(Load_Store_pointer_unit_DIR) --makefile=Makefile;
+Load_Store_pointer_unit_library_only		:
+						@\
+						$(MAKE) --directory=$(Load_Store_pointer_unit_DIR) --makefile=Makefile;
 
-Load_Store_pointer_unit_library_clean	:
-				@\
-				$(MAKE) Behavioural_library_clean;	\
-				$(MAKE) --directory=$(Load_Store_pointer_unit_DIR) --makefile=Makefile clean;
+Load_Store_pointer_unit_library_clean_only	:
+						@\
+						$(MAKE) --directory=$(Load_Store_pointer_unit_DIR) --makefile=Makefile clean;
+
+Load_Store_pointer_unit_library			: Load_Store_pointer_unit_library_only
+						@\
+						$(MAKE) Behavioural_library;
+
+Load_Store_pointer_unit_library_clean		: Load_Store_pointer_unit_library_clean_only
+						@\
+						$(MAKE) Behavioural_library_clean;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/Makefile.deps
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/Makefile.deps	(revision 141)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/Makefile.deps	(revision 142)
@@ -26,5 +26,4 @@
 endif
 
-
 #-----[ Directory ]----------------------------------------
 
@@ -32,6 +31,4 @@
 
 #-----[ Library ]------------------------------------------
-
-
 
 Rename_unit_LIBRARY		= 	-lRename_unit					\
@@ -42,14 +39,15 @@
 					$(Behavioural_LIBRARY)	
 
-Rename_unit_DIR_LIBRARY		=	-L$(Rename_unit_DIR)/lib			\
-					$(Load_Store_pointer_unit_DIR_LIBRARY)		\
-					$(Register_translation_unit_DIR_LIBRARY)	\
-					$(Rename_select_DIR_LIBRARY)			\
-					$(Rename_unit_Glue_DIR_LIBRARY)			\
-					$(Behavioural_DIR_LIBRARY)
-
 #-----[ Rules ]--------------------------------------------
 
-Rename_unit_library		:
+Rename_unit_library_only	:
+				@\
+				$(MAKE) --directory=$(Rename_unit_DIR) --makefile=Makefile;
+
+Rename_unit_library_clean_only	:
+				@\
+				$(MAKE) --directory=$(Rename_unit_DIR) --makefile=Makefile clean;
+
+Rename_unit_library		: Rename_unit_library_only
 				@\
 				$(MAKE) Behavioural_library;			\
@@ -57,8 +55,7 @@
 				$(MAKE) Register_translation_unit_library;	\
 				$(MAKE) Rename_select_library;			\
-				$(MAKE) Rename_unit_Glue_library;		\
-				$(MAKE) --directory=$(Rename_unit_DIR) --makefile=Makefile;
+				$(MAKE) Rename_unit_Glue_library;
 
-Rename_unit_library_clean	:
+Rename_unit_library_clean	: Rename_unit_library_clean_only
 				@\
 				$(MAKE) Behavioural_library_clean;		\
@@ -66,4 +63,3 @@
 				$(MAKE) Register_translation_unit_library_clean;\
 				$(MAKE) Rename_select_library_clean;		\
-				$(MAKE) Rename_unit_Glue_library_clean;		\
-				$(MAKE) --directory=$(Rename_unit_DIR) --makefile=Makefile clean;
+				$(MAKE) Rename_unit_Glue_library_clean;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/Register_translation_unit/Dependency_checking_unit/Makefile.deps
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/Register_translation_unit/Dependency_checking_unit/Makefile.deps	(revision 141)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/Register_translation_unit/Dependency_checking_unit/Makefile.deps	(revision 142)
@@ -11,5 +11,5 @@
 
 ifndef Behavioural
-include 			$(DIR_MORPHEO)/Behavioural/Makefile.deps
+include 					$(DIR_MORPHEO)/Behavioural/Makefile.deps
 endif
 
@@ -21,18 +21,21 @@
 
 Dependency_checking_unit_LIBRARY		= 	-lDependency_checking_unit	\
-					$(Behavioural_LIBRARY)	
-
-Dependency_checking_unit_DIR_LIBRARY		=	-L$(Dependency_checking_unit_DIR)/lib	\
-					$(Behavioural_DIR_LIBRARY)
+							$(Behavioural_LIBRARY)	
 
 #-----[ Rules ]--------------------------------------------
 
-Dependency_checking_unit_library		:
-				@\
-				$(MAKE) Behavioural_library;		\
-				$(MAKE) --directory=$(Dependency_checking_unit_DIR) --makefile=Makefile;
+Dependency_checking_unit_library_only		:
+						@\
+						$(MAKE) --directory=$(Dependency_checking_unit_DIR) --makefile=Makefile;
 
-Dependency_checking_unit_library_clean	:
-				@\
-				$(MAKE) Behavioural_library_clean;	\
-				$(MAKE) --directory=$(Dependency_checking_unit_DIR) --makefile=Makefile clean;
+Dependency_checking_unit_library_clean_only	:
+						@\
+						$(MAKE) --directory=$(Dependency_checking_unit_DIR) --makefile=Makefile clean;
+
+Dependency_checking_unit_library		: Dependency_checking_unit_library_only
+						@\
+						$(MAKE) Behavioural_library;
+
+Dependency_checking_unit_library_clean		: Dependency_checking_unit_library_clean_only
+						@\
+						$(MAKE) Behavioural_library_clean;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/Register_translation_unit/Free_List_unit/Makefile.deps
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/Register_translation_unit/Free_List_unit/Makefile.deps	(revision 141)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/Register_translation_unit/Free_List_unit/Makefile.deps	(revision 142)
@@ -8,39 +8,41 @@
 # DIR_MORPHEO must be defined
 
-Free_List_unit			= yes
+Free_List_unit				= yes
 
 ifndef Behavioural
-include 			$(DIR_MORPHEO)/Behavioural/Makefile.deps
+include 				$(DIR_MORPHEO)/Behavioural/Makefile.deps
 endif
 
 ifndef Priority
-include 			$(DIR_MORPHEO)/Behavioural/Generic/Priority/Makefile.deps
+include 				$(DIR_MORPHEO)/Behavioural/Generic/Priority/Makefile.deps
 endif
 
 #-----[ Directory ]----------------------------------------
 
-Free_List_unit_DIR		=	$(DIR_MORPHEO)/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/Register_translation_unit/Free_List_unit
+Free_List_unit_DIR			=	$(DIR_MORPHEO)/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/Register_translation_unit/Free_List_unit
 
 #-----[ Library ]------------------------------------------
 
-Free_List_unit_LIBRARY		= 	-lFree_List_unit		\
-					$(Priority_LIBRARY)		\
-					$(Behavioural_LIBRARY)	
-
-Free_List_unit_DIR_LIBRARY	=	-L$(Free_List_unit_DIR)/lib	\
-					$(Priority_DIR_LIBRARY)		\
-					$(Behavioural_DIR_LIBRARY)
+Free_List_unit_LIBRARY			= 	-lFree_List_unit		\
+						$(Priority_LIBRARY)		\
+						$(Behavioural_LIBRARY)	
 
 #-----[ Rules ]--------------------------------------------
 
-Free_List_unit_library		:
-				@\
-				$(MAKE) Behavioural_library;		\
-				$(MAKE) Priority_library;		\
-				$(MAKE) --directory=$(Free_List_unit_DIR) --makefile=Makefile;
-
-Free_List_unit_library_clean	:
-				@\
-				$(MAKE) Behavioural_library_clean;	\
-				$(MAKE) Priority_library_clean;		\
-				$(MAKE) --directory=$(Free_List_unit_DIR) --makefile=Makefile clean;
+Free_List_unit_library_only		:
+					@\
+					$(MAKE) --directory=$(Free_List_unit_DIR) --makefile=Makefile;
+                                	
+Free_List_unit_library_clean_only	:
+					@\
+					$(MAKE) --directory=$(Free_List_unit_DIR) --makefile=Makefile clean;
+                                	
+Free_List_unit_library			: Free_List_unit_library_only
+					@\
+					$(MAKE) Behavioural_library;		\
+					$(MAKE) Priority_library;
+                                	
+Free_List_unit_library_clean		: Free_List_unit_library_clean_only
+					@\
+					$(MAKE) Behavioural_library_clean;	\
+					$(MAKE) Priority_library_clean;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/Register_translation_unit/Makefile.deps
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/Register_translation_unit/Makefile.deps	(revision 141)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/Register_translation_unit/Makefile.deps	(revision 142)
@@ -29,6 +29,4 @@
 endif
 
-
-
 #-----[ Directory ]----------------------------------------
 
@@ -45,15 +43,15 @@
 							$(Register_translation_unit_Glue_LIBRARY)
 
-Register_translation_unit_DIR_LIBRARY		=	-L$(Register_translation_unit_DIR)/lib		\
-							$(Behavioural_DIR_LIBRARY)			\
-							$(Register_Address_Translation_unit_DIR_LIBRARY)\
-							$(Free_List_unit_DIR_LIBRARY)			\
-							$(Stat_List_unit_DIR_LIBRARY)			\
-							$(Dependency_checking_unit_DIR_LIBRARY)		\
-							$(Register_translation_unit_Glue_DIR_LIBRARY)
-
 #-----[ Rules ]--------------------------------------------
 
-Register_translation_unit_library		:
+Register_translation_unit_library_only		:
+						@\
+						$(MAKE) --directory=$(Register_translation_unit_DIR) --makefile=Makefile;
+
+Register_translation_unit_library_clean_only	:
+						@\
+						$(MAKE) --directory=$(Register_translation_unit_DIR) --makefile=Makefile clean;
+
+Register_translation_unit_library		: Register_translation_unit_library_only
 						@\
 						$(MAKE) Behavioural_library;				\
@@ -62,8 +60,7 @@
 						$(MAKE) Stat_List_unit_library;				\
 						$(MAKE) Dependency_checking_unit_library;		\
-						$(MAKE) Register_translation_unit_Glue_library;		\
-						$(MAKE) --directory=$(Register_translation_unit_DIR) --makefile=Makefile;
+						$(MAKE) Register_translation_unit_Glue_library;
 
-Register_translation_unit_library_clean	:
+Register_translation_unit_library_clean		: Register_translation_unit_library_clean_only
 						@\
 						$(MAKE) Behavioural_library_clean;			\
@@ -72,4 +69,3 @@
 						$(MAKE) Stat_List_unit_library_clean;			\
 						$(MAKE) Dependency_checking_unit_library_clean;		\
-						$(MAKE) Register_translation_unit_Glue_library_clean;	\
-						$(MAKE) --directory=$(Register_translation_unit_DIR) --makefile=Makefile clean;
+						$(MAKE) Register_translation_unit_Glue_library_clean;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/Register_translation_unit/Register_Address_Translation_unit/Makefile.deps
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/Register_translation_unit/Register_Address_Translation_unit/Makefile.deps	(revision 141)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/Register_translation_unit/Register_Address_Translation_unit/Makefile.deps	(revision 142)
@@ -11,5 +11,5 @@
 
 ifndef Behavioural
-include 			$(DIR_MORPHEO)/Behavioural/Makefile.deps
+include 						$(DIR_MORPHEO)/Behavioural/Makefile.deps
 endif
 
@@ -21,18 +21,21 @@
 
 Register_Address_Translation_unit_LIBRARY		= 	-lRegister_Address_Translation_unit	\
-					$(Behavioural_LIBRARY)	
-
-Register_Address_Translation_unit_DIR_LIBRARY		=	-L$(Register_Address_Translation_unit_DIR)/lib	\
-					$(Behavioural_DIR_LIBRARY)
+								$(Behavioural_LIBRARY)	
 
 #-----[ Rules ]--------------------------------------------
 
-Register_Address_Translation_unit_library		:
-				@\
-				$(MAKE) Behavioural_library;		\
-				$(MAKE) --directory=$(Register_Address_Translation_unit_DIR) --makefile=Makefile;
+Register_Address_Translation_unit_library_only		:
+							@\
+							$(MAKE) --directory=$(Register_Address_Translation_unit_DIR) --makefile=Makefile;
 
-Register_Address_Translation_unit_library_clean	:
-				@\
-				$(MAKE) Behavioural_library_clean;	\
-				$(MAKE) --directory=$(Register_Address_Translation_unit_DIR) --makefile=Makefile clean;
+Register_Address_Translation_unit_library_clean_only	:
+							@\
+							$(MAKE) --directory=$(Register_Address_Translation_unit_DIR) --makefile=Makefile clean;
+
+Register_Address_Translation_unit_library		: Register_Address_Translation_unit_library_only
+							@\
+							$(MAKE) Behavioural_library;
+
+Register_Address_Translation_unit_library_clean		: Register_Address_Translation_unit_library_clean_only
+							@\
+							$(MAKE) Behavioural_library_clean;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/Register_translation_unit/Register_translation_unit_Glue/Makefile.deps
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/Register_translation_unit/Register_translation_unit_Glue/Makefile.deps	(revision 141)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/Register_translation_unit/Register_translation_unit_Glue/Makefile.deps	(revision 142)
@@ -8,8 +8,8 @@
 # DIR_MORPHEO must be defined
 
-Register_translation_unit_Glue			= yes
+Register_translation_unit_Glue				= yes
 
 ifndef Behavioural
-include 			$(DIR_MORPHEO)/Behavioural/Makefile.deps
+include 						$(DIR_MORPHEO)/Behavioural/Makefile.deps
 endif
 
@@ -20,19 +20,22 @@
 #-----[ Library ]------------------------------------------
 
-Register_translation_unit_Glue_LIBRARY		= 	-lRegister_translation_unit_Glue	\
-					$(Behavioural_LIBRARY)	
-
-Register_translation_unit_Glue_DIR_LIBRARY		=	-L$(Register_translation_unit_Glue_DIR)/lib	\
-					$(Behavioural_DIR_LIBRARY)
+Register_translation_unit_Glue_LIBRARY			= 	-lRegister_translation_unit_Glue	\
+								$(Behavioural_LIBRARY)	
 
 #-----[ Rules ]--------------------------------------------
 
-Register_translation_unit_Glue_library		:
-				@\
-				$(MAKE) Behavioural_library;		\
-				$(MAKE) --directory=$(Register_translation_unit_Glue_DIR) --makefile=Makefile;
+Register_translation_unit_Glue_library_only		:
+							@\
+							$(MAKE) --directory=$(Register_translation_unit_Glue_DIR) --makefile=Makefile;
 
-Register_translation_unit_Glue_library_clean	:
-				@\
-				$(MAKE) Behavioural_library_clean;	\
-				$(MAKE) --directory=$(Register_translation_unit_Glue_DIR) --makefile=Makefile clean;
+Register_translation_unit_Glue_library_clean_only	:
+							@\
+							$(MAKE) --directory=$(Register_translation_unit_Glue_DIR) --makefile=Makefile clean;
+
+Register_translation_unit_Glue_library			: Register_translation_unit_Glue_library_only
+							@\
+							$(MAKE) Behavioural_library;
+
+Register_translation_unit_Glue_library_clean		: Register_translation_unit_Glue_library_clean_only
+							@\
+							$(MAKE) Behavioural_library_clean;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/Register_translation_unit/Stat_List_unit/Makefile.deps
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/Register_translation_unit/Stat_List_unit/Makefile.deps	(revision 141)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/Register_translation_unit/Stat_List_unit/Makefile.deps	(revision 142)
@@ -8,8 +8,8 @@
 # DIR_MORPHEO must be defined
 
-Stat_List_unit			= yes
+Stat_List_unit				= yes
 
 ifndef Behavioural
-include 			$(DIR_MORPHEO)/Behavioural/Makefile.deps
+include 				$(DIR_MORPHEO)/Behavioural/Makefile.deps
 endif
 
@@ -20,19 +20,22 @@
 #-----[ Library ]------------------------------------------
 
-Stat_List_unit_LIBRARY		= 	-lStat_List_unit	\
-					$(Behavioural_LIBRARY)	
-
-Stat_List_unit_DIR_LIBRARY		=	-L$(Stat_List_unit_DIR)/lib	\
-					$(Behavioural_DIR_LIBRARY)
+Stat_List_unit_LIBRARY			= 	-lStat_List_unit	\
+						$(Behavioural_LIBRARY)	
 
 #-----[ Rules ]--------------------------------------------
 
-Stat_List_unit_library		:
-				@\
-				$(MAKE) Behavioural_library;		\
-				$(MAKE) --directory=$(Stat_List_unit_DIR) --makefile=Makefile;
+Stat_List_unit_library_only		:
+					@\
+					$(MAKE) --directory=$(Stat_List_unit_DIR) --makefile=Makefile;
 
-Stat_List_unit_library_clean	:
-				@\
-				$(MAKE) Behavioural_library_clean;	\
-				$(MAKE) --directory=$(Stat_List_unit_DIR) --makefile=Makefile clean;
+Stat_List_unit_library_clean_only	:
+					@\
+					$(MAKE) --directory=$(Stat_List_unit_DIR) --makefile=Makefile clean;
+
+Stat_List_unit_library			: Stat_List_unit_library_only
+					@\
+					$(MAKE) Behavioural_library;
+
+Stat_List_unit_library_clean		: Stat_List_unit_library_clean_only
+					@\
+					$(MAKE) Behavioural_library_clean;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/Rename_select/Makefile.deps
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/Rename_select/Makefile.deps	(revision 141)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/Rename_select/Makefile.deps	(revision 142)
@@ -27,19 +27,21 @@
 					$(Behavioural_LIBRARY)	
 
-Rename_select_DIR_LIBRARY	=	-L$(Rename_select_DIR)/lib	\
-					$(Priority_DIR_LIBRARY)		\
-					$(Behavioural_DIR_LIBRARY)
-
 #-----[ Rules ]--------------------------------------------
 
-Rename_select_library		:
+Rename_select_library_only	:
+				@\
+				$(MAKE) --directory=$(Rename_select_DIR) --makefile=Makefile;
+
+Rename_select_library_clean_only:
+				@\
+				$(MAKE) --directory=$(Rename_select_DIR) --makefile=Makefile clean;
+
+Rename_select_library		: Rename_select_library_only
 				@\
 				$(MAKE) Behavioural_library;		\
-				$(MAKE) Priority_library;		\
-				$(MAKE) --directory=$(Rename_select_DIR) --makefile=Makefile;
+				$(MAKE) Priority_library;
 
-Rename_select_library_clean	:
+Rename_select_library_clean	: Rename_select_library_clean_only
 				@\
 				$(MAKE) Behavioural_library_clean;	\
-				$(MAKE) Priority_library_clean;		\
-				$(MAKE) --directory=$(Rename_select_DIR) --makefile=Makefile clean;
+				$(MAKE) Priority_library_clean;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/Rename_unit_Glue/Makefile.deps
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/Rename_unit_Glue/Makefile.deps	(revision 141)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/Rename_unit_Glue/Makefile.deps	(revision 142)
@@ -11,5 +11,5 @@
 
 ifndef Behavioural
-include 			$(DIR_MORPHEO)/Behavioural/Makefile.deps
+include 				$(DIR_MORPHEO)/Behavioural/Makefile.deps
 endif
 
@@ -21,18 +21,21 @@
 
 Rename_unit_Glue_LIBRARY		= 	-lRename_unit_Glue	\
-					$(Behavioural_LIBRARY)	
-
-Rename_unit_Glue_DIR_LIBRARY		=	-L$(Rename_unit_Glue_DIR)/lib	\
-					$(Behavioural_DIR_LIBRARY)
+						$(Behavioural_LIBRARY)	
 
 #-----[ Rules ]--------------------------------------------
 
-Rename_unit_Glue_library		:
-				@\
-				$(MAKE) Behavioural_library;		\
-				$(MAKE) --directory=$(Rename_unit_Glue_DIR) --makefile=Makefile;
+Rename_unit_Glue_library_only		:
+					@\
+					$(MAKE) --directory=$(Rename_unit_Glue_DIR) --makefile=Makefile;
 
-Rename_unit_Glue_library_clean	:
-				@\
-				$(MAKE) Behavioural_library_clean;	\
-				$(MAKE) --directory=$(Rename_unit_Glue_DIR) --makefile=Makefile clean;
+Rename_unit_Glue_library_clean_only	:
+					@\
+					$(MAKE) --directory=$(Rename_unit_Glue_DIR) --makefile=Makefile clean;
+
+Rename_unit_Glue_library		: Rename_unit_Glue_library_only
+					@\
+					$(MAKE) Behavioural_library;
+
+Rename_unit_Glue_library_clean		: Rename_unit_Glue_library_clean_only
+					@\
+					$(MAKE) Behavioural_library_clean;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Special_Register_unit/Makefile.deps
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Special_Register_unit/Makefile.deps	(revision 141)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Special_Register_unit/Makefile.deps	(revision 142)
@@ -23,16 +23,19 @@
 						$(Behavioural_LIBRARY)	
 
-Special_Register_unit_DIR_LIBRARY	=	-L$(Special_Register_unit_DIR)/lib	\
-						$(Behavioural_DIR_LIBRARY)
-
 #-----[ Rules ]--------------------------------------------
 
-Special_Register_unit_library		:
-				@\
-				$(MAKE) Behavioural_library;		\
-				$(MAKE) --directory=$(Special_Register_unit_DIR) --makefile=Makefile;
+Special_Register_unit_library_only	:
+					@\
+					$(MAKE) --directory=$(Special_Register_unit_DIR) --makefile=Makefile;
 
-Special_Register_unit_library_clean	:
-				@\
-				$(MAKE) Behavioural_library_clean;	\
-				$(MAKE) --directory=$(Special_Register_unit_DIR) --makefile=Makefile clean;
+Special_Register_unit_library_clean_only:
+					@\
+					$(MAKE) --directory=$(Special_Register_unit_DIR) --makefile=Makefile clean;
+
+Special_Register_unit_library		: Special_Register_unit_library_only
+					@\
+					$(MAKE) Behavioural_library;
+
+Special_Register_unit_library_clean	: Special_Register_unit_library_clean_only
+					@\
+					$(MAKE) Behavioural_library_clean;
